al_ustr_truncate(3)

NAME

al_ustr_truncate - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_truncate(ALLEGRO_USTR *us, int start_pos)

DESCRIPTION

Truncate a portion of a string from byte offset start_pos onwards. start_pos can be past the end of the string (has no effect) but cannot be less than 0.

Returns true on success, false on error.

SEE ALSO

al_ustr_remove_range(3), al_ustr_ltrim_ws(3), al_ustr_rtrim_ws(3), al_ustr_trim_ws(3)